<div class="container">
  <div class="row">
    <div class="left">
      <h5>Outgoing Flight</h5><br>
      <form id=findFlightForm [formGroup]="findFlightForm" (ngSubmit)="onSubmit(findFlightForm.value)">
        <div>
          <label for="origin">
            Origin
          </label>
          <select name="origin" formControlName="origin">
            <option value="" selected disabled hidden>Select an origin</option>
            <option *ngFor="let x of locations" value="{{x.Code}}" #origin>{{x.Code}} <td> {{x.Destination}}</option>
          </select>
        </div>
        <div>
          <label for="destination">
            Destination
          </label>
          <select name="destination" formControlName="destination">
            <option value="" selected disabled hidden>Select an destination</option>
            <option *ngFor="let x of locations" value="{{x.Code}}" #destination>{{x.Code}} <td> {{x.Destination}}
            </option>
          </select>
        </div>
        <div>
          <label for="etd">
            Departure Date
          </label>
          <input id="etd" type="date" formControlName="etd">
        </div>
        <button class="button" type="submit">Find Flights!</button>
      </form>
    </div>
    <div class="right">
      <div class="results" *ngIf="searchResult; else elseBlock">
        <form [formGroup]="selectedFlight" (ngSubmit)="cart(selectedFlight.value)">
          <table class="mat-elevation-z8">
            <tr>
              <th></th>
              <th>Code</th>
              <th>Airline</th>
              <th>From</th>
              <th>To</th>
              <th>Estimated Departure</th>
              <th>Estimated Arrival</th>
              <th>Price</th>
            </tr>
            <tr *ngFor="let x of searchResult">
              <input type="radio" name="flight" value={{x.FlightCode}} formControlName="flight">
              <td>{{x.FlightCode}}</td>
              <td>{{x.Airline}}</td>
              <td>{{x.Origin}}</td>
              <td>{{x.Destination}}</td>
              <td>{{x.ETD_date}}</td>
              <td>{{x.ETA_date}}</td>
              <td>{{x.Price}}</td>
            </tr>
          </table>
          <button type="submit">Book flight</button>
        </form>
      </div>
      <ng-template #elseBlock>
          <table class="mat-elevation-z8">
            <tr>
              <th>Code</th>
              <th>Airline</th>
              <th>From</th>
              <th>To</th>
              <th>Estimated Departure</th>
              <th>Estimated Arrival</th>
              <th>Price</th>
            </tr>
            <tr>
              <td colspan="5">No return flights found</td>
            </tr>
          </table>
      </ng-template>
    </div>
  </div>
</div>
